org.apache.groovy.parser.antlr4

## Class GroovyParser.GroovyParserRuleContext

- java.lang.Object
- - org.antlr.v4.runtime.RuleContext
  - - org.antlr.v4.runtime.ParserRuleContext
    - - org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext

- All Implemented Interfaces:
    org.antlr.v4.runtime.tree.ParseTree, org.antlr.v4.runtime.tree.RuleNode, org.antlr.v4.runtime.tree.SyntaxTree, org.antlr.v4.runtime.tree.Tree, NodeMetaDataHandler
  Direct Known Subclasses:
    GroovyParser.AnnotatedQualifiedClassNameContext, GroovyParser.AnnotationContext, GroovyParser.AnnotationNameContext, GroovyParser.AnnotationsOptContext, GroovyParser.AnonymousInnerClassDeclarationContext, GroovyParser.ArgumentsContext, GroovyParser.ArrayInitializerContext, GroovyParser.AssertStatementContext, GroovyParser.BlockContext, GroovyParser.BlockStatementContext, GroovyParser.BlockStatementsContext, GroovyParser.BlockStatementsOptContext, GroovyParser.BreakStatementContext, GroovyParser.BuiltInTypeContext, GroovyParser.CastParExpressionContext, GroovyParser.CatchClauseContext, GroovyParser.CatchTypeContext, GroovyParser.ClassBodyContext, GroovyParser.ClassBodyDeclarationContext, GroovyParser.ClassDeclarationContext, GroovyParser.ClassicalForControlContext, GroovyParser.ClassifiedModifiersContext, GroovyParser.ClassNameContext, GroovyParser.ClassOrInterfaceModifierContext, GroovyParser.ClassOrInterfaceModifiersContext, GroovyParser.ClassOrInterfaceModifiersOptContext, GroovyParser.ClassOrInterfaceTypeContext, GroovyParser.ClosureContext, GroovyParser.ClosureOrLambdaExpressionContext, GroovyParser.CommandArgumentContext, GroovyParser.CommandExpressionContext, GroovyParser.CompilationUnitContext, GroovyParser.ConditionalStatementContext, GroovyParser.ContinueStatementContext, GroovyParser.CreatedNameContext, GroovyParser.CreatorContext, GroovyParser.DimContext, GroovyParser.DynamicMemberNameContext, GroovyParser.ElementValueArrayInitializerContext, GroovyParser.ElementValueContext, GroovyParser.ElementValuePairContext, GroovyParser.ElementValuePairNameContext, GroovyParser.ElementValuePairsContext, GroovyParser.ElementValuesContext, GroovyParser.EmptyDimsContext, GroovyParser.EmptyDimsOptContext, GroovyParser.EnhancedArgumentListContext, GroovyParser.EnhancedArgumentListElementContext, GroovyParser.EnhancedForControlContext, GroovyParser.EnhancedStatementExpressionContext, GroovyParser.EnumConstantContext, GroovyParser.EnumConstantsContext, GroovyParser.ExpressionContext, GroovyParser.ExpressionInParContext, GroovyParser.ExpressionListContext, GroovyParser.ExpressionListElementContext, GroovyParser.FieldDeclarationContext, GroovyParser.FinallyBlockContext, GroovyParser.ForControlContext, GroovyParser.ForInitContext, GroovyParser.FormalParameterContext, GroovyParser.FormalParameterListContext, GroovyParser.FormalParametersContext, GroovyParser.ForUpdateContext, GroovyParser.GstringContext, GroovyParser.GstringPathContext, GroovyParser.GstringValueContext, GroovyParser.IdentifierContext, GroovyParser.IfElseStatementContext, GroovyParser.ImportDeclarationContext, GroovyParser.IndexPropertyArgsContext, GroovyParser.KeywordsContext, GroovyParser.LambdaBodyContext, GroovyParser.ListContext, GroovyParser.LiteralContext, GroovyParser.LocalVariableDeclarationContext, GroovyParser.LoopStatementContext, GroovyParser.MapContext, GroovyParser.MapEntryContext, GroovyParser.MapEntryLabelContext, GroovyParser.MapEntryListContext, GroovyParser.MemberDeclarationContext, GroovyParser.MethodBodyContext, GroovyParser.MethodDeclarationContext, GroovyParser.MethodNameContext, GroovyParser.ModifierContext, GroovyParser.ModifiersContext, GroovyParser.ModifiersOptContext, GroovyParser.NamedPropertyArgsContext, GroovyParser.NamePartContext, GroovyParser.NlsContext, GroovyParser.NonWildcardTypeArgumentsContext, GroovyParser.PackageDeclarationContext, GroovyParser.ParExpressionContext, GroovyParser.PathElementContext, GroovyParser.PathExpressionContext, GroovyParser.PostfixExpressionContext, GroovyParser.PrimaryContext, GroovyParser.PrimitiveTypeContext, GroovyParser.QualifiedClassNameContext, GroovyParser.QualifiedClassNameListContext, GroovyParser.QualifiedNameContext, GroovyParser.QualifiedNameElementContext, GroovyParser.QualifiedNameElementsContext, GroovyParser.QualifiedStandardClassNameContext, GroovyParser.ResourceContext, GroovyParser.ResourceListContext, GroovyParser.ResourcesContext, GroovyParser.ReturnTypeContext, GroovyParser.RparenContext, GroovyParser.ScriptStatementContext, GroovyParser.ScriptStatementsContext, GroovyParser.SepContext, GroovyParser.StandardLambdaExpressionContext, GroovyParser.StandardLambdaParametersContext, GroovyParser.StatementContext, GroovyParser.StatementExpressionContext, GroovyParser.StringLiteralContext, GroovyParser.SwitchBlockStatementGroupContext, GroovyParser.SwitchLabelContext, GroovyParser.SwitchStatementContext, GroovyParser.ThisFormalParameterContext, GroovyParser.TryCatchStatementContext, GroovyParser.TypeArgumentContext, GroovyParser.TypeArgumentsContext, GroovyParser.TypeArgumentsOrDiamondContext, GroovyParser.TypeBoundContext, GroovyParser.TypeContext, GroovyParser.TypeDeclarationContext, GroovyParser.TypeListContext, GroovyParser.TypeNamePairContext, GroovyParser.TypeNamePairsContext, GroovyParser.TypeParameterContext, GroovyParser.TypeParametersContext, GroovyParser.VariableDeclarationContext, GroovyParser.VariableDeclaratorContext, GroovyParser.VariableDeclaratorIdContext, GroovyParser.VariableDeclaratorsContext, GroovyParser.VariableInitializerContext, GroovyParser.VariableInitializersContext, GroovyParser.VariableModifierContext, GroovyParser.VariableModifiersContext, GroovyParser.VariableModifiersOptContext, GroovyParser.VariableNamesContext
  Enclosing class:
    GroovyParser

      public static class GroovyParser.GroovyParserRuleContext
      extends org.antlr.v4.runtime.ParserRuleContext
      implements NodeMetaDataHandler

- - ### Field Summary

    - ### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

      `children, exception, start, stop`

    - ### Fields inherited from class org.antlr.v4.runtime.RuleContext

      `invokingState, parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroovyParserRuleContext()`
    `GroovyParserRuleContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingStateNumber)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<?,?>` | `getMetaDataMap()`
    `void` | `setMetaDataMap(Map<?,?> metaDataMap)`

    - ### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

      `addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, emptyContext, enterRule, exitRule, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

    - ### Methods inherited from class org.antlr.v4.runtime.RuleContext

      `accept, depth, getAltNumber, getChildContext, getPayload, getRuleContext, getRuleIndex, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

      `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- - ### Constructor Detail

    - #### GroovyParserRuleContext

          public GroovyParserRuleContext()

    - #### GroovyParserRuleContext

          public GroovyParserRuleContext(org.antlr.v4.runtime.ParserRuleContext parent,
                                         int invokingStateNumber)

  - ### Method Detail

    - #### getMetaDataMap

          public Map<?,?> getMetaDataMap()

      Specified by:
        `getMetaDataMap` in interface `NodeMetaDataHandler`

    - #### setMetaDataMap

          public void setMetaDataMap(Map<?,?> metaDataMap)

      Specified by:
        `setMetaDataMap` in interface `NodeMetaDataHandler`